Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class ClassInspector

    java.lang.Object
      com.atomikos.beans.ClassInspector

    public class ClassInspector

extends Object

An inspector class for finding and filtering information about general classes (not just beans). The inspector uses a MemberFilter to restrict the set of returned methods, fields and constructors.

Constructor Summary
`ClassInspector(Class clazz)`

Method Summary
`Constructor[]` | `getConstructors()` Get the constructors for this class.
`Field[]` | `getFields()` Get the fields for this class.
`Class` | `getInspectedClass()`
`MemberFilter` | `getMemberFilter()`
`Method[]` | `getMethods()` Get the methods for this class.
`void` | `setMemberFilter(MemberFilter memberFilter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInspector

    public ClassInspector(Class clazz)

Method Detail

### getInspectedClass

    public Class getInspectedClass()

### setMemberFilter

    public void setMemberFilter(MemberFilter memberFilter)

### getMemberFilter

    public MemberFilter getMemberFilter()

### getMethods

    public Method[] getMethods()

  Get the methods for this class.

  Returns:
    Method[] The methods that are accepted by the filter.

### getFields

    public Field[] getFields()

  Get the fields for this class.

  Returns:
    Field[] The fields that are accepted by the filter.

### getConstructors

    public Constructor[] getConstructors()

  Get the constructors for this class.

  Returns:
    Constructor[] The constructors that are accepted by the filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.